//
//  DestinationPickerViewController.m
//  JoinUpTaxiPassenger
//
//  Created by Christopher Alford on 30/05/2013.
//
//

#import "DestinationPickerViewController.h"

@interface DestinationPickerViewController () <UIPickerViewDataSource,UIPickerViewDelegate>

@property (weak, nonatomic) IBOutlet UIPickerView *picker;

@property (strong, nonatomic) NSArray *destinations;

@end


@implementation DestinationPickerViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}


- (NSArray *)destinations
{
    if(!_destinations)
        _destinations = @[@"Madrid",@"Barcelona",@"Valencia",@"Seville",@"Zaragoza",@"Málaga",@"Murcia",@"Palma",@"Las Palmas",@"Bilbao",@"Alicante",@"Córdoba",@"Valladolid",@"Vigo",@"Gijón",@"L'Hospitalet de Llobregat",@"A Coruña",@"Vitoria-Gasteiz",@"Granada",@"Elche",@"Oviedo",@"Santa Cruz de Tenerife",@"Badalona",@"Cartagena",@"Terrassa",@"Jerez de la Frontera",@"Sabadell",@"Móstoles",@"Alcalá de Henares",@"Pamplona",@"Fuenlabrada",@"Almería",@"Leganés",@"Donostia-San Sebastián",@"Santander",@"Castellón de la Plana",@"Burgos",@"Albacete",@"Alcorcón",@"Getafe",@"Salamanca",@"Logroño",@"San Cristóbal de La Laguna",@"Huelva",@"Badajoz",@"Tarragona",@"Lleida",@"Marbella",@"León",@"Cádiz"];

    return _destinations;
}


- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
        
    self.selectedDestination = self.destinations[0];

}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)viewDidUnload {
    [super viewDidUnload];
}

#pragma mark - Location picker delegate
- (void)pickerView:(UIPickerView *)pickerView didSelectRow: (NSInteger)row inComponent:(NSInteger)component
{
    // Handle the selection
    [self.delegate destinationChanged:self.destinations[row]];
}

// tell the picker how many rows are available for a given component
- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component {
    return [self.destinations count];
}

// tell the picker how many components it will have
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView {
    return 1;
}

// tell the picker the title for a given component
- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component {
    return self.destinations[row];
}

// tell the picker the width of each row for a given component
- (CGFloat)pickerView:(UIPickerView *)pickerView widthForComponent:(NSInteger)component {
    return 280.0f;
}

@end




