//
//  TALocationService.h
//  JoinUpTaxiPassenger
//
//  Created by Christopher Alford on 05/06/2013.
//
//

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>

@protocol DOLocationServiceDelegate <NSObject>

@optional
- (void)newPositionWithLocation:(CLLocation *)newLocation;
- (void)newGeoLocationWithDictionary:(NSDictionary *)newGeoLocation;

@end

@interface DOLocationService : NSObject

@property (strong, nonatomic) id delegate;
@property (strong, nonatomic) CLLocation *currentLocation;

@property (nonatomic) BOOL isUpdatingAddress;
@property (strong, nonatomic, readonly) NSString *address;
@property (strong, nonatomic, readonly) NSString *city;

+ (DOLocationService *)sharedInstance;

- (void)stopUpdating;
- (void)resumeUpdating;

- (MKCoordinateRegion)regionForCityNamed:(NSString *)cityName;
- (MKCoordinateRegion)regionToFitAnnotations:(NSArray *)annotations;

- (void)addressForCoordinate:(CLLocationCoordinate2D) coordinate;

- (void)cancelUpdatingAddress;

@end
