//
//  DOMemberManager.m
//  DialogTests
//
//  Created by Christopher Alford on 16/06/2013.
//  Copyright (c) 2013 Doonamis. All rights reserved.
//

#import "DOMemberManager.h"
#import "DOAppDelegate.h"
#import "JSONFetch.h"

@interface DOMemberManager () <JSONFetchDelegate>

@property (strong, nonatomic) NSManagedObjectContext *context;

@end

static DOMemberManager *sharedInstance = nil;

@implementation DOMemberManager

- (NSManagedObjectContext *)context
{
    DOAppDelegate *appdel = (DOAppDelegate *)[[UIApplication sharedApplication] delegate];
    return [appdel managedObjectContext];
}

- (id)init {
    self = [super init];
    if(self) {
        return self;
    }
    return nil;
}

+ (DOMemberManager *)sharedInstance {
    if(!sharedInstance){
        static dispatch_once_t pred;    // Lock
        dispatch_once(&pred, ^{         // This code is called at most once per app
            sharedInstance = [[DOMemberManager alloc] init];
        });
    }
    return sharedInstance;

}

@end
