//
//  JSONFetch.h
//  GekkoBooks
//
//  Created by Christopher Alford on 17/02/2013.
//  Copyright (c) 2013 GNO. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol JSONFetchDelegate <NSObject>

@optional
- (void)fetchStarted;
- (void)fetchCompleted;
- (void)fetchFailedWithError:(NSError *)error;
- (void)fetchReportedMessage:(NSString *)message;

@end

@interface JSONFetch : NSObject

@property (strong, nonatomic) id delegate;

@property (nonatomic, strong)NSString *urlString;

- (id)initWithBaseURL:(NSString *)baseURL;

- (void)getItems;
//- (void)getItemsAfterDate:(NSString *)afterDate;

- (void)clearStoreOfEntitiesNamed:(NSString *)name;
- (void)dumpStoreWithEntityNamed:(NSString *)entityName;
@end
