//
//  SockCtrlPassanger.m
//  JoinUpTaxis
//
//  Created by Ferran Falguera Martí on 17/05/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "SockCtrlPassanger.h"

@implementation SockCtrlPassanger

@synthesize pasLastSentLocation;

// Get the shared instance and create it if necessary.

+ (SockCtrlPassanger*)sharedSock {
    static SockCtrlPassanger *sharedSock = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        sharedSock = [[self alloc] init];
    });
    return sharedSock;
}

- (void)sendPassangerPosition:(NSNumber *)identifier position:(CLLocation*)position
{
    CLLocationCoordinate2D coord = position.coordinate;
    
    NSDictionary *paramsDict = [NSDictionary dictionaryWithObjectsAndKeys:
                                [NSString stringWithFormat:@"%d", [identifier intValue]], @"id",
                                [NSString stringWithFormat:@"%d", (int) (coord.latitude * 1000000)], @"latitude",
                                [NSString stringWithFormat:@"%d", (int) (coord.longitude * 1000000)], @"longitude", nil];
    NSDictionary *json = [NSDictionary dictionaryWithObjectsAndKeys:@"UserPos", @"type",paramsDict, @"parameters", nil];
    NSData *data = [self JSONDictionaryToNSData:json];

    if (pasLastSentLocation==nil || [pasLastSentLocation distanceFromLocation:position] > 200) {
        // Si tenim connexió enviem la trama
        if ([self.outputStream streamStatus] == NSStreamStatusOpen) {
            [self.outputStream write:[data bytes] maxLength:[data length]];
            pasLastSentLocation = position;
        }
    }
    
    // Guardem sempre la posició més nova del usuari per si ens hem de reconnectar més tard i enviar-la
    self.positionToSendWhenConnected = data;
}


@end
