//
//  TAOpLogin.m
//  JoinUpTaxiPassenger
//
//  Created by Ferran Falguera on 16/07/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "TAOpLogin.h"
#import "TAMember.h"
#import "TATaxi.h"
#import "NSDate+TADate.h"
#import "TAModel.h"

@implementation TAOpLogin

- (NSMutableArray *)addPassengersFromArray:(NSArray *)passengersArray {
    
    NSMutableArray *results = [[NSMutableArray alloc]initWithCapacity:[passengersArray count]];
    
    for (NSDictionary *dictionary in passengersArray) {
        
        NSNumber *idPassenger = [dictionary objectForKey:@"IdPassenger"];
        NSString *name = [dictionary objectForKey:@"Name"];
        NSNumber *score = [dictionary objectForKey:@"Score"];
        NSNumber *numVotes = [dictionary objectForKey:@"NumVotes"];
        UIImage *photo =  [UIImage imageWithData:[NSData dataWithContentsOfURL:[NSURL URLWithString:[dictionary objectForKey:@"URLPassengerPhoto"]]]];
        if (!photo) {
            photo = [UIImage imageNamed:@"avatar"];
        }
        NSString *phone = [dictionary objectForKey:@"Phone"];
        NSNumber *numPassengers = [dictionary objectForKey:@"NumPassengers"];
        NSNumber *numSmallCases = [dictionary objectForKey:@"NumSmallCases"];
        NSNumber *numLargeCases = [dictionary objectForKey:@"NumLargeCases"];
        
        TAMember *passenger = [TAMember passengerWithID:idPassenger
                                                         name:name
                                                        score:score
                                                     numVotes:numVotes
                                                        photo:photo
                                                numPassengers:numPassengers
                                                numSmallCases:numSmallCases
                                                numLargeCases:numLargeCases
                                                        phone:phone];
        [results addObject:passenger];
    }
    
    return results;
}

-(void)fillTaxi:(TAJourney *)journey taxiDict:(NSDictionary*)taxiDict {
    
    UIImage *photo = [UIImage imageWithData:[NSData dataWithContentsOfURL:[NSURL URLWithString:[taxiDict objectForKey:@"URLTaxiPhoto"]]]];
    if (!photo) {
        photo = [UIImage imageNamed:@"avatar"];
    }
    
    TATaxi *taxi = [TATaxi taxiWithID:[[taxiDict objectForKey:@"IdTaxi"] intValue]
                                 name:[taxiDict objectForKey:@"Name"]
                                phone:[taxiDict objectForKey:@"Phone"]
                             sentence:[taxiDict objectForKey:@"Sentence"]
                                score:[[taxiDict objectForKey:@"Score"] doubleValue]
                             numVotes:[[taxiDict objectForKey:@"NumVotes"] intValue]
                              license:[taxiDict objectForKey:@"License"]
                                photo:photo];

    journey.taxi = taxi;
}



@end
